package myobserver;


import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.text.Text;
import javafx.scene.text.Font;
import javafx.scene.control.Button;

/**
 * @author Alexander De Luca
 * A simple script demonstrating the power of data bindings.
 */

var counter = 0;

Stage {
    title: "My first App"
    width: 250
    height: 200

    scene: Scene {
        content: [
            Button {
                text: "press me"
                layoutX: 80
                layoutY: 100
                action: function() {
                    counter++;
                }
            } // button

            Text {
                font : Font {
                    size: 24
                }
                x: 100, y: 80
                content: bind "{if(counter<10) "0{counter}" else counter}"
            } // text

        ] // content
    } // scene
} // stage

